The active WhatsApp connection (number + status)
curl --request GET \
--url https://api.pineyard.ai/whatsapp/connection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"number": "<string>",
"official": true,
"sendBlocked": true,
"sendBlockedReason": "<string>",
"sendBlockedDetail": "<string>",
"sendBlockedAt": "<string>",
"senderId": "<string>"
}Senders
The active WhatsApp connection (number + status)
GET
/
whatsapp
/
connection
The active WhatsApp connection (number + status)
curl --request GET \
--url https://api.pineyard.ai/whatsapp/connection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"number": "<string>",
"official": true,
"sendBlocked": true,
"sendBlockedReason": "<string>",
"sendBlockedDetail": "<string>",
"sendBlockedAt": "<string>",
"senderId": "<string>"
}Required scope:
whatsapp.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

